summaryrefslogtreecommitdiff
path: root/debian/make-new-orig.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/make-new-orig.sh')
-rwxr-xr-xdebian/make-new-orig.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/make-new-orig.sh b/debian/make-new-orig.sh
new file mode 100755
index 00000000..8f427623
--- /dev/null
+++ b/debian/make-new-orig.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ -z $1 ]; then
+ echo "Please provide the directory to tar up as an argument"
+ exit 1
+fi
+
+TARBALL=$(echo $1 | tr - _).orig.tar.gz
+
+tar -czvf $TARBALL --exclude=debian $1
+